+++
title = "Propiedades"
weight = 1
+++

### doc

Devuelve al documento Calc donde esta la hoja.

```python
doc = app.active
hoja = doc.active

doc = hoja.doc
app.debug(doc.title)
```


### name

Nombre visible y editable por el usuario.

```python
doc = app.active
hoja = doc.active

app.msgbox(hoja.name)
hoja.name = 'Nuevo Nombre'
app.msgbox(hoja.name)
```

### code_name

Nombre editable y accesible solo por código.

```python
doc = app.active
hoja = doc.active

app.msgbox(hoja.code_name)
hoja.code_name = 'datos'
app.msgbox(hoja.code_name)
```


### visible

Muestra u oculta la hoja

```python
hoja = app.active.active

app.msgbox(hoja.visible)
hoja.visible = not hoja.visible
app.msgbox(hoja.visible)
hoja.visible = not hoja.visible
```

{{% notice tip %}}
Solo funcionará con dos o más hojas, por que debe haber al menos una visible.
{{% /notice %}}


### color

Color de la pestaña.

```python
hoja = app.active.active
app.msgbox(hoja.color)

hoja.color = 'red'
app.msgbox(hoja.color)

# RGB
hoja.color = (125, 200, 10)
app.msgbox(hoja.color)
```


### used_area

Referencia al área de usuario actual.

```python
hoja = app.active.active

rango = hoja.used_area
app.debug(rango)
```


### is_protected

Devuelve verdadero (True) si la hoja esta protegida

```python
hoja = app.active.active

esta_protegida = hoja.is_protected
app.debug(esta_protegida)
```


### password

Establecer una contraseña.

```python
hoja = app.active.active
hoja.password = 'siscaloburropanzon'
app.debug(hoja.is_protected)
```
