+++
title = "Mensajes"
weight = 1
+++

#### Cuadros de mensaje

### msgbox

Mostrar mensaje estandar.

```python
mensaje = 'Maldito Mundo'
titulo = 'Mi Macro'
app.msgbox(mensaje, titulo)
```


### warning

Mostrar mensaje con icono de advertencia.

```python
mensaje = 'Cuidado, esta acción es peligrosa'
titulo = 'Mi Macro'
app.warning(mensaje, titulo)
```


### errorbox

Mostrar mensaje con icono de error.

```python
mensaje = 'ERROR: contacte a soporte'
titulo = 'Mi Macro'
app.errorbox(mensaje, titulo)
```


### question

Hacer una pregunta mostrando el icono de interrogación y mostrando los botones de comando `Si` y `No`. La respuesta siempre es verdadera (`True`) si el usuario selecciona `si` y falsa (`False`) en caso contrario.

```python
mensaje = '¿Es fácil Python?'
titulo = 'Mi Macro'
resultado = app.question(mensaje, titulo)
app.msgbox(resultado)
```

### inputbox

Muestra un mensaje al usuario, permitiendo capturar una respuesta.

```python
mensaje = 'Escribe tu nombre'
nombre = app.inputbox(mensaje)
app.msgbox(nombre)
```

Para ocultar solo en pantalla lo que captura el usuario, como contraseñas.

```python
mensaje = 'Captura la contraseña'
echochar = '*'
contraseña = app.inputbox(mensaje, echochar=echochar)
app.msgbox(contraseña)
```
