+++
title = "Instalação"
weight = 1
+++

## Clonar repositorio

Clone el repositorio en su directorio de proyectos favorito.

```
git clone https://git.cuates.net/elmau/easymacro
```

y copie la librería dentro de la carpeta **pythonpath** en la carpeta de macros Python dentro de su perfil de usuario. Reemplace **USUARIO** por su usuario real.

```
/home/`USUARIO`/.config/libreoffice/4/user/Scripts/python/pythonpath/easymacro.py
```

o use un vínculo duro. Reemplace **RUTA_ABSOLUTA** por la ruta absoluta donde se localice **easymacro.py** en su sistema de archivos y **USUARIO** por su nombre de usuario.

```
ln `RUTA_ABSOLUTA`/easymacro/source/easymacro.py /home/`USUARIO`/.config/libreoffice/4/user/Scripts/python/pythonpath/
```


## Probar

En su archivo de macros favorito, por ejemplo **mismacros.py**:

```
vim /home/`USUARIO`/.config/libreoffice/4/user/Scripts/python/mismacros.py
```

Copie el siguiente código:

```python
import easymacro as app

def main():
    app.msgbox(app.INFO_DEBUG)
    return
```

Ejecute la macro **main** desde LibreOffice, si ve un cuadro de mensaje con información similar a la siguiente, !felicidades¡

![Test instalation](install_01.png)

Esta listo para desarrollar macros con **easymacro.py**.


!Feliz programación!
